> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Token Type New

> Creates a token type on an org network after uniqueness checks, enabling the network when the token is enabled.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/create-token-type-new
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/create-token-type-new:
    post:
      operationId: createTokenTypeNew
      summary: Create Token Type New
      description: >-
        Creates a token type on an org network after uniqueness checks, enabling
        the network when the token is enabled.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTokenTypeNewRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTokenTypeNewResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateTokenTypeNewRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        currencyCode:
          type: string
          minLength: 1
        networkID:
          type: string
          format: uuid
        isTokenEnabled:
          type: boolean
        enabledForPayrollType:
          type: string
          enum:
            - ON_CYCLE
            - OFF_CYCLE
            - INVOICE_PAYMENT
        address:
          type: string
        decimalPlaces:
          type: integer
          minimum: 0
          maximum: 18
        logoURI:
          type: string
          format: uri
        coinMarketCapID:
          type: string
      required:
        - name
        - currencyCode
        - networkID
    CreateTokenTypeNewResponse:
      type: object
      properties:
        tokenType:
          type: object
          properties:
            tokenTypeID:
              type: string
            name:
              type: string
            currencyCode:
              type: string
            icon:
              type:
                - string
                - 'null'
            orgID:
              type: string
            enabledForPayrollType:
              type:
                - string
                - 'null'
            networkID:
              type: string
            address:
              type:
                - string
                - 'null'
            decimalPlaces:
              type:
                - integer
                - 'null'
            coinMarketCapID:
              type:
                - string
                - 'null'
            createdAt:
              type: string
            isTokenEnabled:
              type:
                - boolean
                - 'null'
            isContractorDefault:
              type: boolean
            defaultTokenSlug:
              type:
                - string
                - 'null'
            catalogTokenDeploymentID:
              type:
                - string
                - 'null'
          required:
            - tokenTypeID
            - name
            - currencyCode
            - icon
            - orgID
            - enabledForPayrollType
            - networkID
            - address
            - decimalPlaces
            - coinMarketCapID
            - createdAt
            - isTokenEnabled
            - isContractorDefault
            - defaultTokenSlug
            - catalogTokenDeploymentID
      required:
        - tokenType
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
